package com.conygre;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class ShoppingCartController extends HttpServlet {

  // initialise the stock bean
  // note that it is done from the controller not a JSP
  public void init(ServletConfig config) throws ServletException {
    super.init(config);
    ServletContext application = getServletContext();
    application.setAttribute("stock",new Stock());
  }

  // this is where is the controller allocates the appropriate redirection
  public void doGet(HttpServletRequest req, HttpServletResponse res)
            throws ServletException, IOException {
    ServletContext application = getServletContext();
    if (req.getParameter("page") != null) {
        boolean browsing = (req.getParameter("browsing")) != null;
        String page = req.getParameter("page");
        String nextURL = "";
        // the logic here could be factored out
        // into separate request handler classes
        if (page.equals("books") && browsing)
            nextURL="/booksBrowse.jsp";
        else if (page.equals("books") && !browsing)
            nextURL="/books.jsp";
        else if (page.equals("cds") && browsing)
            nextURL="/cdBrowse.jsp";
        else if (page.equals("cds") && !browsing)
            nextURL="/cd.jsp";
        else if (page.equals("dvds") && browsing)
            nextURL="/dvdBrowse.jsp";
        else if (page.equals("dvds") && !browsing)
            nextURL="/dvd.jsp";
        else
            nextURL="/errorPage.jsp";
        // now forward the request to the appropriate page
        RequestDispatcher dispatcher = application.getRequestDispatcher(nextURL);
        dispatcher.forward(req,res);
    }
    else {
        RequestDispatcher dispatcher = application.getRequestDispatcher("/welcome.jsp");
        dispatcher.forward(req,res);
    }
  }
}

